# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Feb  2 07:57:49 2022
# ------------------------------------------------

package:
  name: prometheus_client
  version: 0.13.1
source:
  sha256: 52d68963764f94f9c6a131d17c7c74b82d45f871c809f7bbbc385cb3602ca180
  url: https://github.com/prometheus/client_python/archive/v0.13.1.tar.gz
build:
  noarch: python
  number: '0'
  script: /opt/conda/conda-bld/prometheus_client_1643788673601/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.37.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - python >=3.6
test:
  commands:
    - pip check
  imports:
    - prometheus_client
    - prometheus_client.bridge
    - prometheus_client.openmetrics
    - prometheus_client.twisted
  requires:
    - pip
    - python <3.10
    - twisted
about:
  dev_url: https://github.com/prometheus/client_python
  doc_url: https://github.com/prometheus/client_python#readme
  home: https://github.com/prometheus/client_python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Python client for the Prometheus monitoring system
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jessicaaustin
    - kwilcox
    - ocefpaf
